TransitiveHull (jakarta-bcel 5.1 API)
Keywords: org.apache.bcel.verifier.TransitiveHull,TransitiveHull class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.verifier
Class TransitiveHull

    java.lang.Object
      |
      +--org.apache.bcel.verifier.TransitiveHull

All Implemented Interfaces:
  VerifierFactoryObserver

public class TransitiveHull
extends java.lang.Object
implements VerifierFactoryObserver

This class has a main method implementing a demonstration program of how to use the VerifierFactoryObserver. It transitively verifies all class files encountered; this may take up a lot of time and, more notably, memory.

Version:
  $Id: TransitiveHull.java,v 1.1.1.1 2001/10/29 20:00:31 jvanzyl Exp $
Author:
  Enver Haase

Method Summary
`static void` | `main(java.lang.String[] args)` This method implements a demonstration program of how to use the VerifierFactoryObserver.
`void` | `update(java.lang.String classname)` VerifierFactoryObserver instances are notified invoking this method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### update

    public void update(java.lang.String classname)

  Description copied from interface: `VerifierFactoryObserver`
  VerifierFactoryObserver instances are notified invoking this method. The String argument is the fully qualified class name of a class a new Verifier instance created by the VerifierFactory operates on.

  Specified by:
    `update` in interface `VerifierFactoryObserver`

### main

    public static void main(java.lang.String[] args)

  This method implements a demonstration program of how to use the VerifierFactoryObserver. It transitively verifies all class files encountered; this may take up a lot of time and, more notably, memory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.